Subject: How to pick a commit from another git tree?

From: "Joakim Tjernlund" <[email-masked]>
Date: Sun, 7 Oct 2007 19:31:00 +0200

Hi 

This is probably a somewhat stupid question but I havn't had a need until now so here goes:
There is a commit in David Millers tree:
http://git.kernel.org/?p=linux/kernel/git/davem/bak-net-2.6.24.git;a=commit;h=bbb4c0c35a4c2aed5e025b668c8dfc99c5b74cff
that hasn't made it into 2.6.23, but will go into 2.6.24. 
I need this fix on top of 2.6.23(once it is released).
Now I wonder how to best add this fix to my tree. Once this fix hits linus tree and I pull
linus tree, I don't wan't a conflict as I already have this fix in my tree.

Should I just pull Davids tree? Or should I cherry-pick this one commit?
Or something else?

 Jocke